
import { SkToolbarImpl } from "../../sk-toolbar/src/impl/sk-toolbar-impl.js";

export class JquerySkToolbar extends SkToolbarImpl {
    
    get icons() {
        if (! this._icons) {
            this._icons = {
                'add': '<span class="ui-icon ui-icon-plusthick"></span>',
                'edit': '<span class="ui-icon ui-icon-pencil"></span>',
                'delete': '<span class="ui-icon ui-icon-trash"></span>',
                'save': '<span class="ui-icon ui-icon-disk"></span>',
                'settings': '<span class="ui-icon ui-icon-gear"></span>',
                'home': '<span class="ui-icon ui-icon-home"></span>',
                'folder': '<span class="ui-icon ui-icon-folder-collapsed"></span>',
                'file': '<span class="ui-icon ui-icon-document"></span>'
            }
        }
        return this._icons;
    }
    
    set icons(icons) {
        this._icons = icons;
    }
    
    get prefix() {
        return 'jquery';
    }

}
